Skip to main content
GET
/
api
/
v1
/
identities
/
{id}
/
activity
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/activity" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "data": [
    {
      "id": "activity-uuid",
      "type": "page_view",
      "who": "John Visitor",
      "what": "Viewed Pricing Page",
      "source": "web",
      "created_at": "2025-01-10T08:05:00Z"
    }
  ],
  "pagination": {
    "limit": 50,
    "offset": 0,
    "total": 1
  }
}

Path Parameters

id
string
required
The unique identifier of the identity

Query Parameters

limit
integer
default:"50"
Maximum number of results to return (max: 100)
offset
integer
default:"0"
Number of results to skip for pagination

Response

data
array
Array of activity objects
pagination
object
Pagination information
curl -X GET "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009/activity" \
  -H "Authorization: Bearer YOUR_API_KEY"
{
  "data": [
    {
      "id": "activity-uuid",
      "type": "page_view",
      "who": "John Visitor",
      "what": "Viewed Pricing Page",
      "source": "web",
      "created_at": "2025-01-10T08:05:00Z"
    }
  ],
  "pagination": {
    "limit": 50,
    "offset": 0,
    "total": 1
  }
}